Loading...
Searching...
No Matches
osmium::CRC_zlib Class Reference

`#include <crc_zlib.hpp>`

## Public Member Functions

void | process_byte (const unsigned char byte) noexcept
void | process_bytes (const void *buffer, std::size_t byte_count) noexcept
unsigned long | checksum () const noexcept

## Private Attributes

unsigned long | m_crc32 = ::crc32(0, nullptr, 0)

## Detailed Description

This class is used together with the CRC class to implement a CRC32 checksum based on the implementation from zlib.

Usage:

osmium::CRC<osmium::CRC_zlib> crc32;
const osmium::Node& node = ...;
crc32.update(node);
std::cout << crc32.checksum() << '\n';
osmium::CRC
Definition crc.hpp:102
osmium::CRC::update
void update(const Timestamp &timestamp) noexcept
Definition crc.hpp:157
osmium::Node
Definition node.hpp:48
osmium::item_type::node
@ node
Definition item_type.hpp:48

## Member Function Documentation

## checksum()

unsigned long osmium::CRC_zlib::checksum | ( |  | ) | const

inlinenoexcept

## process_byte()

void osmium::CRC_zlib::process_byte | ( | const unsigned char | byte | ) |

inlinenoexcept

## process_bytes()

void osmium::CRC_zlib::process_bytes | ( | const void * | buffer,
|  | std::size_t | byte_count )

inlinenoexcept

## Member Data Documentation

## m_crc32

unsigned long osmium::CRC_zlib::m_crc32 = ::crc32(0, nullptr, 0)

private

The documentation for this class was generated from the following file:

- include/osmium/osm/crc_zlib.hpp